source <%= @new_resource.name %> {
    type = <%= @new_resource.type %>
<% @new_resource.config_params.each do |k, v| %>
    <% if v.respond_to?("each") %>
        <% v.each do |sub_v| %>
            <%= k %> = <%= sub_v %>
        <% end %>
    <% else %>
        <%= k %> = <%= v %>
    <% end %>
<% end %>
}
